MuleConfiguration (Mule ESB 2.2.1 API)
Keywords: org.mule.api.config.MuleConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.config
Interface MuleConfiguration

All Known Implementing Classes:
  DefaultMuleConfiguration

    public interface MuleConfiguration

Configuration info. which can be set when creating the MuleContext but becomes immutable after startup.

Field Summary
`static String` | `SYSTEM_PROPERTY_PREFIX` The prefix for any Mule-specific properties set in the system properties

Method Summary
`String` | `getClusterId()`
`String` | `getDefaultEncoding()`
`int` | `getDefaultResponseTimeout()`
`int` | `getDefaultTransactionTimeout()`
`String` | `getDomainId()`
`String` | `getId()`
`String` | `getMuleHomeDirectory()`
`String` | `getSystemModelType()`
`String` | `getSystemName()`
`String` | `getWorkingDirectory()`
`boolean` | `isAutoWrapMessageAwareTransform()`
`boolean` | `isCacheMessageAsBytes()`
`boolean` | `isCacheMessageOriginalPayload()`
`boolean` | `isClientMode()`
`boolean` | `isDefaultSynchronousEndpoints()`
`boolean` | `isEnableStreaming()`

Field Detail

### SYSTEM_PROPERTY_PREFIX

    static final String SYSTEM_PROPERTY_PREFIX

  The prefix for any Mule-specific properties set in the system properties

  See Also:
    Constant Field Values

Method Detail

### isDefaultSynchronousEndpoints

    boolean isDefaultSynchronousEndpoints()

### getDefaultResponseTimeout

    int getDefaultResponseTimeout()

### getWorkingDirectory

    String getWorkingDirectory()

### getMuleHomeDirectory

    String getMuleHomeDirectory()

### getDefaultTransactionTimeout

    int getDefaultTransactionTimeout()

### isClientMode

    boolean isClientMode()

### getDefaultEncoding

    String getDefaultEncoding()

### getId

    String getId()

### getClusterId

    String getClusterId()

### getDomainId

    String getDomainId()

### getSystemModelType

    String getSystemModelType()

### getSystemName

    String getSystemName()

### isAutoWrapMessageAwareTransform

    boolean isAutoWrapMessageAwareTransform()

### isCacheMessageAsBytes

    boolean isCacheMessageAsBytes()

### isCacheMessageOriginalPayload

    boolean isCacheMessageOriginalPayload()

### isEnableStreaming

    boolean isEnableStreaming()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.